
#pragma once

#include "CoffeeTypes.generated.h"

UENUM(BlueprintType)
enum class ECoffeeType : uint8
{
	None,
	Water,
	Espresso,
	Americano,
	Macchiato,
	Latte,
	Cappuccino,
	Max				UMETA(Hidden)
};

UENUM(BlueprintType)
enum class ECoffeeSize: uint8
{
	None,
	Small,
	Medium,
	Large
};

UENUM(BlueprintType)
enum class ECoffeeAddition : uint8
{
	None,
	Muffin,
	Biscuit,
	Donut,
	Croissant,
	Max			UMETA(Hidden)
};
